Package twisted :: Package enterprise :: Module adbapi :: Class Transaction

[frames | no frames]

## Class Transaction

A lightweight wrapper for a DB-API 'cursor' object.

Relays attribute access to the DB cursor. That is, you can call execute(), fetchall(), etc., and they will be called on the underlying DB-API cursor object. Attributes will also be retrieved from there.

Method Summary
| `__init__(self, pool, connection)`
| `__getattr__(self, name)`
| `reopen(self)`

Class Variable Summary
`NoneType` | `_cursor` = None

Class Variable Details

### _cursor

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:07:42 2004 | http://epydoc.sf.net